﻿using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class ScriptMenu : MonoBehaviour {

    public float myTimer = 2.0f;
    public string sceneToLoad;
    public RectTransform barre;
    public GameObject go;
    public GameObject btnMenu;
    public GameObject optionsListe;

    void Start()
    {
        barre = GameObject.Find("barre").GetComponent<RectTransform>();
    }

    void LoadScene()
    {
        SceneManager.LoadScene(sceneToLoad);
    }

    void Update()
    {
        Ray ray = Camera.main.ViewportPointToRay(new Vector3(0.5F, 0.5F, 0));
        RaycastHit hit;
        if (Physics.Raycast(ray, out hit))
        {
            go = hit.transform.gameObject;

            if (myTimer > 0)
            {
                myTimer -= Time.deltaTime;
                barre.localScale = new Vector3(myTimer / 2, 1, 1);
            }
            if (myTimer <= 0)
            {
                switch(go.name)
                {
                    case "ShowOptions":
                        optionsListe.SetActive(true);
                        btnMenu.SetActive(false);
                        ResetTimer();
                        break;
                    case "slow":
                        PlayerPrefs.SetFloat("vitesse", 1.5f);
                        btnMenu.SetActive(true);
                        optionsListe.SetActive(false);
                        ResetTimer();
                        break;
                    case "normal":
                        PlayerPrefs.SetFloat("vitesse", 2);
                        btnMenu.SetActive(true);
                        optionsListe.SetActive(false);
                        ResetTimer();
                        break;
                    case "fast":
                        PlayerPrefs.SetFloat("vitesse", 2.5f);
                        btnMenu.SetActive(true);
                        optionsListe.SetActive(false);
                        ResetTimer();
                        break;
                    default:
                        LoadScene();
                        break;
                }
                
            }
        }

        else
        {
            ResetTimer();
        }

    }

    void ResetTimer()
    {
        myTimer = 2.0f;
        barre.localScale = new Vector3(1, 1, 1);
    }
}